package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiInspectItemMapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectItem;
import com.goldenwater.slaj.hazard.service.ITBusiInspectItemService;

/**
 * 巡查项 服务层实现
 */
@Service
public class TBusiInspectItemServiceImpl implements ITBusiInspectItemService {

    @Autowired
    private TBusiInspectItemMapper tBusiInspectItemMapper;

    @Override
    public TBusiInspectItem selectTBusiInspectItemByGuid(String guid) {
        return tBusiInspectItemMapper.selectTBusiInspectItemByGuid(guid);
    }

    @Override
    public List<TBusiInspectItem> selectTBusiInspectItemList(TBusiInspectItem tBusiInspectItem) {
        return tBusiInspectItemMapper.selectTBusiInspectItemList(tBusiInspectItem);
    }

    @Override
    public int insertTBusiInspectItem(TBusiInspectItem tBusiInspectItem) {
        return tBusiInspectItemMapper.insertTBusiInspectItem(tBusiInspectItem);
    }

    @Override
    public int updateTBusiInspectItem(TBusiInspectItem tBusiInspectItem) {
        return tBusiInspectItemMapper.updateTBusiInspectItem(tBusiInspectItem);
    }

    @Override
    public int deleteTBusiInspectItemByGuid(String guid) {
        return tBusiInspectItemMapper.deleteTBusiInspectItemByGuid(guid);
    }

    @Override
    public int deleteTBusiInspectItemByGuids(String[] guids) {
        return tBusiInspectItemMapper.deleteTBusiInspectItemByGuids(guids);
    }
}
